BimpHelp

Bank accounts: Bimp API methods

Bimp API methods for the “Bank accounts” resource (/org2/bankAccounts/…): 3 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/bankAccounts/api-readTypesA request to obtain detailed information about bank account types
POST /org2/bankAccounts/api-readA request to obtain detailed information for a particular bank account
POST /org2/bankAccounts/api-readListA request to view a list of bank accounts

api-readTypes

POST /org2/bankAccounts/api-readTypes

A request to obtain detailed information about bank account types

Response: data field

FieldTypeDescription
[].namestring
[].uuidstring (uuid)
[].codestring
curl -X POST 'https://app.bimpsoft.com/org2/bankAccounts/api-readTypes' \
  -H 'access-token: <company token>'

api-read

POST /org2/bankAccounts/api-read

A request to obtain detailed information for a particular bank account

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the bank account

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for the bank account
namestring
commentstring
bankstring
ibanstring
cardstring
mainboolean
currencystring (uuid)
organizationstring (uuid)
accountingstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/bankAccounts/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/bankAccounts/api-readList

A request to view a list of bank accounts

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets

Response: data field

FieldTypeDescription
[].uuidstring (uuid)A unique uuid key for the bank account
[].namestring
[].commentstring
[].bankstring
[].ibanstring
[].cardstring
[].mainboolean
[].currencystring (uuid)
[].organizationstring (uuid)
[].accountingstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/bankAccounts/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.